setTimeout(function() {

      $('.testimonial_sldier').slick({
        dots: false,
        infinite: true,
        autoplay:true,
        speed: 100,
        slidesToShow: 1,
        slidesToScroll: 1 
      });

      var rev = $('.rev_slider');

      rev.on('init', function(event, slick, currentSlide) {
          var cur = $(slick.$slides[slick.currentSlide]),
              next = cur.next(),
              prev = cur.prev();

          prev.addClass('slick-sprev');
          next.addClass('slick-snext');
          cur.removeClass('slick-snext').removeClass('slick-sprev');
          slick.$prev = prev;
          slick.$next = next;

          // Add a custom class to the first four slides during initialization
          slick.$slides.slice(0, 4).addClass('custom-init-class');
      }).on('beforeChange', function(event, slick, currentSlide, nextSlide) {
          var cur = $(slick.$slides[nextSlide]);

          // Remove the custom class from all slides and add it to the next slide
          slick.$slides.removeClass('custom-init-class');
          cur.addClass('custom-init-class');

          slick.$prev.removeClass('slick-sprev');
          slick.$next.removeClass('slick-snext');
          var next = cur.next(),
              prev = cur.prev();
          prev.prev();
          prev.next();
          prev.addClass('slick-sprev');
          next.addClass('slick-snext');
          slick.$prev = prev;
          slick.$next = next;
          cur.removeClass('slick-next').removeClass('slick-sprev');
      });

      rev.slick({
          speed: 1000,
          arrows: true,
          dots: false,
          focusOnSelect: true,
          prevArrow: '<button> prev</button>',
          nextArrow: '<button> next</button>',
          infinite: true,
          centerMode: true,
          slidesPerRow: 1,
          slidesToShow: 4, // Set the number of slides to show
          slidesToScroll: 1,
          centerPadding: '0',
          swipe: true,
          customPaging: function(slider, i) {
              return '';
          },
          /*infinite: false,*/
      });

  


  $('.responsive-slider').slick({
    slidesToShow: 3,
    arrows: false,
    responsive: [
        {
            breakpoint: 99999,
            settings: "unslick"
        },
        {
            breakpoint: 767,
             settings: {
                    slidesToShow: 1,
                    slidesToScroll: 1,
                    infinite: true,
                    dots: true,
                    arrows: false,
                }
        }
      ]
  });

  $(window).resize(function(){

    $('.responsive-slider').slick({
      
      responsive: [
          {
              breakpoint: 99999,
              settings: "unslick"
          },
          {
              breakpoint: 767,
               settings: {
                      slidesToShow: 1,
                      slidesToScroll: 1,
                      infinite: true,
                      dots: true,
                      arrows: false,
                  }
          }
        ]
    });

  });


       if (document.querySelector('.testimonial_slider') || document.querySelector('.rank_slider') || document.querySelector('.rev_slider')) {
    
        $('.testimonial_sldier, .rank_slider, .rev_slider').slick('resize');
        $('.testimonial_sldier, .rank_slider, .rev_slider').slick('resize');
         $('.testimonial_sldier, .rank_slider, .rev_slider').slick('resize');

        } else {
            
        }
        
 

      
   }, 800);  